## librm 2.1.2

=== debian/changelog ===
librm (2.1.2-3) unstable; urgency=medium

  * Bump gupnp, gssdp build-dependencies (Closes: #954912)

 -- Hilko Bengen <bengen@debian.org>  Wed, 25 Mar 2020 18:20:47 +0100

librm (2.1.2-2) unstable; urgency=medium

  * Fix wrong copyright entry

 -- Hilko Bengen <bengen@debian.org>  Thu, 05 Mar 2020 18:36:18 +0100

librm (2.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #947372)

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Feb 2020 22:47:54 +0100

## librm 2.2.2+really2.2.2

=== meson_options.txt ===
option('enable-documentation', type: 'boolean', value: 'false', description : 'Build API reference and tools documentation')
option('enable-secret', type: 'boolean', value: 'true', description : 'Enable libsecret plugin')
option('enable-post-install', type: 'boolean', value: 'true', description : 'Enable post install (schema compiling)')

## librm 2.1.4

=== debian/changelog ===
librm (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4
  * Add gbp.conf

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Jan 2021 10:39:25 +0100

=== debian/control ===
Source: librm
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 11),
 meson,
 pkg-config,
 libglib2.0-dev,
 libgdk-pixbuf2.0-dev,
 libsoup2.4-dev,
 libspeex-dev,
 libxml2-dev,
 libtiff-dev,
 libspandsp-dev,
 libjson-glib-dev,
 libsndfile1-dev,
 libgupnp-1.2-dev | libgupnp-1.0-dev,
 libgssdp-1.2-dev | libgssdp-1.0-dev,
 libcapi20-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libsecret-1-dev,
Standards-Version: 4.1.3
Section: libs
Homepage: https://gitlab.com/tabos/librm
Vcs-Browser: https://salsa.debian.org/debian/librm
Vcs-Git: https://salsa.debian.org/debian/librm.git

Package: librm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librm0 (= ${binary:Version}), ${misc:Depends},
# is there a way to defer those using pkg-config?
 libsoup2.4-dev,
 libglib2.0-dev,
 libxml2-dev,
Description: FritzBox router manager library -- development files
 librm offers FRITZ!Box related core functionality for Roger Router (GUI),
 Roger CLI (CLI) and Roger Rabbit (ncurses) interfaces.
 .
 This package provides development files.

Package: librm0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FritzBox router manager library
 librm offers FRITZ!Box related core functionality for Roger Router (GUI),
 Roger CLI (CLI) and Roger Rabbit (ncurses) interfaces.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4

https://gitlab.com/tabos/librm/-/tags \
    .*/archive/v(?:\d.*)/librm-v(\d.*).tar.bz2

## librm 2.2.2

=== debian/changelog ===
librm (2.2.2-1) unstable; urgency=medium

  * Update/fix debian/watch
  * New upstream version 2.2.2

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Mar 2021 12:44:31 +0100

## librm 2.2.2+really2.1.4

=== debian/changelog ===
librm (2.2.2+really2.1.4-0.1build1) jammy; urgency=medium

  * No-change rebuild against libgupnp-1.2-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:46:44 +0000

librm (2.2.2+really2.1.4-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Revert back to 2.1.4 to avoid ABI breakage. (Closes: #987938)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Oct 2021 18:30:23 +0300

## librm 2.2.2+really2.2.2

=== debian/changelog ===
librm (2.2.2+really2.2.2-0ubuntu0.1) jammy; urgency=medium

  * Use the matching version for roger-router 2.4.0 (LP: #1980567)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 26 Aug 2022 14:59:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: librm
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 11),
  meson,
  pkg-config,

=== debian/watch ===
version=4

https://gitlab.com/tabos/librm/-/tags?sort=updated_desc \
    .*/archive/(?:\d.\S+)/librm-(\d\S+)\.tar\.bz2

## librm 2.2.3

=== debian/changelog ===
librm (2.2.3-1) unstable; urgency=medium

  * New upstream version 2.2.3
  * Add Breaks statements to avoid repeating #987938
  * Update lintian overrides

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Aug 2022 16:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: librm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 11),
  meson,
  pkg-config,
@@ -45,6 +44,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: roger-router (<< 2.4)
 Description: FritzBox router manager library
  librm offers FRITZ!Box related core functionality for Roger Router (GUI),
  Roger CLI (CLI) and Roger Rabbit (ncurses) interfaces.
